# $Revision: 1.159 $, $Date: 2006/11/17 20:00:08 $
# TODO:
# - add ldap plugin from openldap sources
#
# Conditional build:
%bcond_without	cryptedpw	# if you keep crypted passwords in your *sql
%bcond_without	ldap		# disable LDAP support for saslauthd
%bcond_without	gssapi		# do not enable GSSAPI support for saslauthd and build gssapi plugin
%bcond_without	mysql		# don't build MySQL pluggin
%bcond_without	pgsql		# do not build PostgreSQL pluggin
%bcond_without	sqlite		# do not enable sqlite plugin
%bcond_with	authlib		# enable courier-authlib (i wasn't able to test it)
%bcond_with	opie		# enable opie plugin
%bcond_with	srp		# build srp pluggin
%bcond_with	pwcheck		# build pwcheck helper (deprecated)
%bcond_with	x509		# build x509 plugin (no sources in package???)
#
%if !%{with mysql} && !%{with pgsql}
%undefine with_cryptedpw
%endif

Summary:	The SASL library API for the Cyrus mail system
Summary(pl):	Biblioteka Cyrus SASL
Summary(pt_BR):	Implementao da API SASL
Summary(ru):	 Cyrus SASL
Summary(uk):	̦ Cyrus SASL
Name:		cyrus-sasl
Version:	2.1.22
Release:	4
License:	distributable
Group:		Libraries
Source0:	ftp://ftp.andrew.cmu.edu/pub/cyrus/%{name}-%{version}.tar.gz
# Source0-md5:	45dde9d19193ae9dd388eb68b2027bc9
Source1:	saslauthd.init
Source2:	saslauthd.sysconfig
Source3:	%{name}.pam
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-lt.patch
Patch2:		%{name}-split-sql.patch
Patch3:		%{name}-opie.patch
Patch4:		%{name}-gcc4.patch
# Adapted from http://frost.ath.cx/software/cyrus-sasl-patches/dist/2.1.19/cyrus-sasl-2.1.19-checkpw.c+sql.c.patch
Patch5:		%{name}-cryptedpw.patch
Patch6:		%{name}-md5sum-passwords.patch
Patch7:		%{name}-db.patch
Patch8:		%{name}-automake_1_10.patch
URL:		http://asg.web.cmu.edu/sasl/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
%{?with_authlib:BuildRequires:	courier-authlib-devel}
BuildRequires:	db-devel
BuildRequires:	ed
BuildRequires:	groff
%{?with_gssapi:BuildRequires:	heimdal-devel >= 0.7}
BuildRequires:	libtool >= 1.4
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	openssl-devel >= 0.9.7d
%{?with_opie:BuildRequires:	opie-devel}
BuildRequires:	pam-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_sqlite:BuildRequires:	sqlite-devel}
Requires:	pam >= 0.79.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/sasl

%define		specflags	-fno-strict-aliasing

%description
This is an implementation of the SASL API, useful for adding
authentication, authorization, and security to network protocols. The
SASL protocol itself is documented in rfc2222; the API standard is a
work in progress.

Note: remember to install appropriate plugins, or you won't have any
authentication mechanisms available.

%description -l pl
Pakiet cyrus-sasl zawiera implementacj biblioteki API SASL dla
systemu poczty elektronicznej Cyrusa. Biblioteka ta jest przydatna
take do dodawania uwierzytelniania, autoryzacji oraz zwikszania
bezpieczestwa protokow sieciowych. Sam protok SASL jest opisany w
RFC 2222; standaryzacja API jest w toku.

Uwaga: aby byy dostpne jakiekolwiek mechanizmy autoryzacji, naley
doinstalowa odpowiednie wtyczki.

%description -l pt_BR
Esta  uma implementao da API SASL, til para acrescentar
autenticao, autorizao e seguana (criptografia) para protocolos de
rede. O protocolo SASL est documentado na RFC 2222. A API "padro"
ainda est em desenvolvimento.

%description -l ru
 cyrus-sasl   Cyrus SASL. SASL -  Simple
Authentication and Security Layer,    
  ,   .

%description -l uk
 cyrus-sasl ͦ ̦æ Cyrus SASL. SASL -  Simple
Authentication and Security Layer,    Ц
æ  ̦,   '.

%package devel
Summary:	Header files and documentation for cyrus-sasl
Summary(pl):	Pliki nagwkowe i dokumentacja dla cyrus-sasl
Summary(pt_BR):	Exemplos e arquivos para desenvolvimento com SASL
Summary(ru):	     Cyrus SASL
Summary(uk):	    ¦̦ Cyrus SASL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This includes the header files and documentation needed to develop
applications which use SASL.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla cyrus-sasl.

%description devel -l pt_BR
Este pacote inclui os arquivos de cabealho e documentao necessrios
para desenvolver aplicativos que usem SASL.

%description devel -l ru
  ,    ,
 Cyrus SASL.

%description devel -l uk
  ¦̦, ȦΦ   , 
 Cyrus SASL.

%package static
Summary:	Static cyrus-sasl libraries
Summary(pl):	Statyczne biblioteki cyrus-sasl
Summary(ru):	  Cyrus SASL
Summary(uk):	Φ ¦̦ Cyrus SASL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static cyrus-sasl libraries.

%description static -l pl
Statyczne biblioteki cyrus-sasl.

%description static -l ru
 ,    ,
 Cyrus SASL.

%description static -l uk
Φ ¦̦, ȦΦ   ,  
Cyrus SASL.

%package cram-md5
Summary:	Cram-MD5 Cyrus SASL plugin
Summary(pl):	Wtyczka Cram-MD5 do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL CRAM-MD5
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description cram-md5
This plugin implements the SASL CRAM-MD5 mechanism. CRAM-MD5 is the
mandatory-to-implement authentication mechanism for a number of
protocols; it uses MD5 with a challenge/response system to
authenticate the user.

%description cram-md5 -l pl
Wtyczka dodajca obsug mechanizmu CRAM-MD5 do Cyrus SASL. CRAM-MD5
jest obowizkowym do zaimplementowania mechanizmem uwierzytelniania
dla wielu protokow; do uwierzytelnienia uytkownika uywa MD5 wraz z
systemem challenge/response.

%description cram-md5 -l pt_BR
Este plugin implementa o mecanismo SASL CRAM-MD5. CRAM-MD5  o
mecanismo de autenticao obrigatrio de ser implementado para vrios
protocolos: ele usa MD5 com um sistema de desafio/resposta para
autenticar o usurio.

%package digest-md5
Summary:	Digest-MD5 Cyrus SASL plugin
Summary(pl):	Wtyczka Digest-MD5 do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL DIGEST-MD5
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description digest-md5
This plugin implements the latest draft of the SASL DIGEST-MD5
mechanism. Although not yet finalized, this is likely to become the
new mandatory-to-implement authentication system in all new protocols.
It's based on the digest md5 authentication system designed for HTTP.

%description digest-md5 -l pl
Wtyczka dodajca najnowsz wersj mechanizmu DIGEST-MD5 do Cyrus SASL.
Pomimo tego, e nie jest jeszcze ukoczony, najprawdopodobniej stanie
si obowizkowym do zaimplementowania systemem uwierzytelniania we
wszystkich nowych protokoach. Bazuje na systemie uwierzytelniania
Digest-MD5 zaprojektowanym dla HTTP.

%description digest-md5 -l pt_BR
Este plugin implementa a ltima verso da especificao do mecanismo
SASL DIGEST-MD5. Embora ainda no esteja finalizado, DIGEST-MD5
provavelmente ser o novo sistema de autenticao obrigatrio para
protocolos novos. Ele  baseado na autenticao md5 digest
desenvolvida para HTTP.

%package plain
Summary:	Plain Cyrus SASL plugin
Summary(pl):	Wtyczka plain do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL PLAIN
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plain
This plugin implements the SASL PLAIN mechanism. Although insecure,
PLAIN is useful for transitioning to new security mechanisms, as this
is the only mechanism which gives the server a copy of the user's
password.

%description plain -l pl
Wtyczka dodajca obsug mechanizmu PLAIN do Cyrus SASL. Pomimo tego,
e nie jest bezpieczny, PLAIN jest przydatny przy przechodzeniu na
nowe mechanizmu bezpieczestwa, jako e jest to jedyny mechanizm,
ktry udostpnia serwerowi kopi hasa uytkownika.

%description plain -l pt_BR
Este plugin implementa o mecanismo SASL PLAIN. Embora inseguro, este
mecanismo  til durante transies para novos mecanismos de
segurana, pois  o nico esquema que fornece uma cpia da senha do
usurio para o servidor.

%package anonymous
Summary:	Anonymous Cyrus SASL plugin
Summary(pl):	Wtyczka anonymous do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL ANONYMOUS
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description anonymous
This plugin implements the SASL ANONYMOUS mechanism, used for
anonymous authentication.

%description anonymous -l pl
Wtyczka dodajca obsug mechanizmu ANONYMOUS do Cyrus SASL. Suy do
anonimowego uwierzytelniania.

%description anonymous -l pt_BR
Este plugin implementa o mecanismo SASL ANONYMOUS, usado para
autenticao annima.

%package gssapi
Summary:	GSSAPI Cyrus SASL plugin
Summary(pl):	Wtyczka GSSAPI do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL GSSAPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gssapi
This plugin implements the SASL GSSAPI mechanism, used for
GSSAPI/Kerberos5 authentication.

%description gssapi -l pl
Wtyczka dodajca obsug mechanizmu SASL GSSAPI, uywanego do
uwierzytelniania z uyciem GSSAPI/Kerberos5.

%description gssapi -l pt_BR
Este plugin implementa o mecanismo SASL GSSAPI, usado para
autenticao Kerberos/GSSAPI.

%package login
Summary:	Unsupported Login Cyrus SASL plugin
Summary(pl):	Nie wspierana wtyczka Login do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description login
Unsupported LOGIN Cyrus SASL plugin.

%description login -l pl
Wtyczka dodajca obsug nie wspieranego mechanizmu LOGIN do Cyrus
SASL.

%package srp
Summary:	SRP Cyrus SASL plugin
Summary(pl):	Wtyczka SRP do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL SRP
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description srp
This plugin implements the SASL SRP mechanism, based on the Secure
Remote Password protocol. This mechanism performs mutual
authentication and can provide a security layer with replay detection,
integrity protection and/or condifentiality protection.

%description srp -l pl
Wtyczka dodajca obsug mechanizmu SRP do Cyrus SASL. Bazuje na
protokole Secure Remote Password. Ten mechanizm dokonuje wzajemnego
uwierzytelnienia i moe dodawa warstw bezpieczestwa z wykrywaniem
powtarzania, zabezpieczeniem integralnoci i/lub poufnoci.

%description srp -l pt_BR
Este plugin implementa o mecanismo SASL SRP, baseado no protocolo SRP
(Secure Remote Password). Este mecanismo oferece autenticao mtua
(do cliente e do servidor) e pode prover uma camada de segurana com
deteco de ataques de replay, garantia de integridade e/ou
confidencialidade.

%package otp
Summary:	OTP Cyrus SASL plugin
Summary(pl):	Wtyczka OTP do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL OTP
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description otp
This plugin implements the SASL OTP (One Time Password) mechanism.

%description otp -l pl
Wtyczka dodajca obsug mechanizmu OTP (hasa jednorazowe) do Cyrus
SASL.

%package opie
Summary:	OPIE Cyrus SASL plugin
Summary(pl):	Wtyczka OPIE do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL OPIE
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description opie
This plugin implements the SASL OPIE (One Time Password) mechanism.

%description opie -l pl
Wtyczka dodajca obsug mechanizmu OPIE (hasa jednorazowe) do Cyrus
SASL.

%package x509
Summary:	x509 Cyrus SASL plugin
Summary(pl):	Wtyczka x509 do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description x509
x509 Cyrus SASL plugin.

%description x509 -l pl
Wtyczka x509 do Cyrus SASL.

%package saslauthd
Summary:	Cyrus SASL authd
Summary(pl):	Demon authd do Cyrus SASL
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	/sbin/chkconfig
Requires:	rc-scripts

%description saslauthd
Cyrus SASL authd.

%description saslauthd -l pl
Demon authd do Cyrus SASL.

%package pwcheck
Summary:	Cyrus SASL pwcheck helper
Summary(pl):	Program pomocniczy pwcheck do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description pwcheck
Cyrus SASL pwcheck helper.

%description pwcheck -l pl
Program pomocniczy pwcheck do Cyrus SASL.

%package sasldb
Summary:	Cyrus SASL sasldb plugin
Summary(pl):	Wtyczka sasldb do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description sasldb
Cyrus SASL sasldb plugin.

%description sasldb -l pl
Wtyczka sasldb do Cyrus SASL.

%package mysql
Summary:	Cyrus SASL MySQL plugin
Summary(pl):	Wtyczka MySQL do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description mysql
Cyrus SASL MySQL plugin.

%description mysql -l pl
Wtyczka MySQL do Cyrus SASL.

%package pgsql
Summary:	Cyrus SASL PostgreSQL plugin
Summary(pl):	Wtyczka PostgreSQL do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description pgsql
Cyrus SASL PostgreSQL plugin.

%description pgsql -l pl
Wtyczka PostgreSQL do Cyrus SASL.

%package sqlite
Summary:	Cyrus SQLite PostgreSQL plugin
Summary(pl):	Wtyczka SQLite do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description sqlite
Cyrus SASL SQLite plugin.

%description sqlite -l pl
Wtyczka SQLite do Cyrus SASL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if %{with cryptedpw}
%patch5 -p1
%patch6 -p1
%endif
%patch7 -p1
%patch8 -p1

cd doc
echo "cyrus-sasl complies with the following RFCs:" > rfc-compliance
ls rfc*.txt >> rfc-compliance
rm -f rfc*.txt
cd ..

rm -rf autom4te.cache saslauthd/autom4te.cache
# acinclude.m4 contains only old libtool.m4
rm -f acinclude.m4 libtool config/libtool.m4 saslauthd/acinclude.m4

%build
%{__libtoolize}
%{__aclocal} -I cmulocal -I config
%{__autoheader}
%{__automake}
%{__autoconf}

cd saslauthd
%{__libtoolize}
%{__aclocal} -I ../cmulocal -I ../config -I config
%{__autoheader}
%{__automake}
%{__autoconf}
cd ..

%configure \
	%{?with_cryptedpw: LDFLAGS=-lcrypt} \
	--disable-krb4 \
	%{!?with_gssapi: --disable-gssapi} \
	%{?with_gssapi: --enable-gssapi --with-gss_impl=heimdal} \
	--enable-login \
	--enable-sample \
	--enable-sql \
	%{?with_srp: --enable-srp} \
	--enable-static \
	--with-plugindir=%{_libdir}/sasl2 \
	--with-configdir=%{_sysconfdir} \
	--with-dblib=berkeley \
	--with-dbpath=/var/lib/sasl2/sasl.db \
	%{?with_authlib:--with-authdaemond=/var/spool/authdaemon/socket} \
	%{?with_ldap: --with-ldap=%{_prefix}} \
	%{?with_mysql: --with-mysql=%{_prefix}} \
	%{?with_pgsql: --with-pgsql=%{_prefix}} \
	%{?with_sqlite: --with-sqlite=%{_prefix}} \
	%{?with_opie: --with-opie=%{_prefix}} \
	--with-pam \
	%{?with_pwcheck: --with-pwcheck=/var/lib/sasl2} \
	--with-saslauthd=/var/lib/sasl2
%{__make}

%{__make} -C saslauthd testsaslauthd
%{__make} -C saslauthd saslcache

cd doc
RFCLIST=`grep 'rfc.\+\.txt' rfc-compliance`
for i in $RFCLIST; do
	RFCDIR=../RFC/text/`echo $i | sed -e 's:^rfc::' -e 's:..\.txt$::' `00
	echo -e ',s:'$i':'$RFCDIR/$i'\n,w\nq' | ed index.html
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/var/lib/sasl2,%{_sysconfdir},/etc/{rc.d/init.d,sysconfig}} \
		$RPM_BUILD_ROOT%{_mandir}/man8

%{__make} install \
	sasldir=%{_libdir}/sasl2 \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_mandir}/cat*
rm -f $RPM_BUILD_ROOT%{_libdir}/sasl2/*.{la,a}

install utils/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install saslauthd/saslauthd.mdoc $RPM_BUILD_ROOT%{_mandir}/man8/saslauthd.8

ln -sf libsasl2.so $RPM_BUILD_ROOT%{_libdir}/libsasl.so

touch $RPM_BUILD_ROOT/var/lib/sasl2/sasl.db

# create empty config
touch $RPM_BUILD_ROOT%{_sysconfdir}/saslauthd.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/saslauthd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/saslauthd
install %{SOURCE3} ./cyrus.pam

install saslauthd/{testsaslauthd,saslcache} $RPM_BUILD_ROOT%{_sbindir}

# sample programs for testing sasl
libtool --mode=install cp sample/client $RPM_BUILD_ROOT%{_bindir}/sasl-sample-client
libtool --mode=install cp sample/server $RPM_BUILD_ROOT%{_bindir}/sasl-sample-server

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post saslauthd
/sbin/chkconfig --add saslauthd
%service saslauthd restart

%preun saslauthd
if [ "$1" = "0" ]; then
	%service saslauthd stop
	/sbin/chkconfig --del saslauthd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc doc/{ONEWS,TODO,*.txt,*.html,*.fig,rfc-compliance}
%dir %{_sysconfdir}
%dir %{_libdir}/sasl2
%dir /var/lib/sasl2
%attr(755,root,root) %{_libdir}/lib*.so.*.*
# sample programs to subpackage instead?
%attr(755,root,root) %{_bindir}/sasl-sample-client
%attr(755,root,root) %{_bindir}/sasl-sample-server
%attr(755,root,root) %{_sbindir}/pluginviewer
%attr(755,root,root) %{_sbindir}/sasldblistusers2
%attr(755,root,root) %{_sbindir}/saslpasswd2

%attr(640,root,mail) %ghost %config(noreplace) %verify(not md5 mtime size) /var/lib/sasl2/sasl.db
%{_mandir}/man8/pluginviewer.8*
%{_mandir}/man8/sasldblistusers2.8*
%{_mandir}/man8/saslpasswd2.8*

%files devel
%defattr(644,root,root,755)
%{_includedir}/sasl
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files anonymous
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libanonymous.so*

%if %{with gssapi}
%files gssapi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libgssapiv2.so*
%endif

%files cram-md5
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libcrammd5.so*

%files digest-md5
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libdigestmd5.so*

%files login
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/liblogin.so*

%files otp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libotp.so*

%if %{with opie}
%files opie
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libopie.so*
%endif

%files plain
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libplain.so*

%files sasldb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libsasldb.so*

%if %{with mysql}
%files mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libmysql.so*
%endif

%if %{with pgsql}
%files pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libpgsql.so*
%endif

%if %{with sqlite}
%files sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libsqlite.so*
%endif

%if %{with srp}
%files srp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libsrp.so*
%endif

%if %{with x509}
%files x509
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl2/libx509.so*
%endif

%if %{with pwcheck}
%files pwcheck
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/pwcheck
%endif

%files saslauthd
%defattr(644,root,root,755)
%doc cyrus.pam
%doc saslauthd/{AUTHORS,LDAP_SASLAUTHD}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/saslauthd.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/saslauthd
%attr(755,root,root) %{_sbindir}/saslauthd
%attr(755,root,root) %{_sbindir}/testsaslauthd
%attr(755,root,root) %{_sbindir}/saslcache
%attr(754,root,root) /etc/rc.d/init.d/saslauthd
%{_mandir}/man8/saslauthd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cyrus-sasl.spec,v $
Revision 1.159  2006/11/17 20:00:08  arekm
- rel 4; rebuild

Revision 1.158  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.157  2006/11/08 11:56:57  jajcus
- automake 1.10 compatibility patch added

Revision 1.156  2006/10/02 19:05:29  grzegol
- added db patch (allow to link with with db-4.5)

Revision 1.155  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.154  2006/08/01 08:52:34  glen
- pure chkconfig dep, use %service, rel 2

Revision 1.153  2006/05/27 11:28:13  qboosh
- updated to 2.1.22, updated gcc4 patch, removed obsolete configdir patch

Revision 1.152  2006/05/12 10:47:17  qboosh
- fixed ru/uk summaries in -devel

Revision 1.151  2006/05/10 19:06:13  shadzik
- make cryptpw build as default

Revision 1.150  2006/04/22 19:08:09  glen
- add CVE ref

Revision 1.149  2006/04/16 21:31:40  glen
- fix chkconfig, rc-scripts deps

Revision 1.148  2006/03/27 12:41:55  glen
- rel 8 (libmysqlclient_15)

Revision 1.147  2006/01/17 14:57:35  baggins
- release 7
- BR opnldap 2.3

Revision 1.146  2005/11/22 22:08:20  pluto
- release 6 for Th (rebuild with db4.4), -fno-strict-aliasing passed.

Revision 1.145  2005/10/27 17:38:29  arekm
- rel 5

Revision 1.144  2005/09/23 21:50:00  pluto
- bump release for rebuild openldap/heimdal/cyrus/postrgesql/cvs loop.

Revision 1.143  2005/09/20 15:16:22  glen
- add sasl-simple-{client,server} to main package
- add empty saslauthd.conf
- add courier-authlib bcond (not tested)
- adapterized

Revision 1.142  2005/09/12 18:25:32  hunter
- option -H is obsolete in sasld.init. use -O
- relase 3

Revision 1.141  2005/08/24 10:04:51  kosmo
- added cyrus-sasl-md5sum-passwords.patch

Revision 1.140  2005/07/20 22:35:47  romke
- added bcond cryptedpw allowing storing crypted passwd in database (mysql or pgsql)

Revision 1.139  2005/07/08 18:06:23  arekm
- BR heimdal-devel >= 0.7

Revision 1.138  2005/05/20 23:40:02  qboosh
- updated to 2.1.21 [resolves CVE-2006-1721],
  updated nolibs,lt,split-sql patches, removed obsolete db patch

Revision 1.137  2005/05/14 08:58:19  qboosh
- updated split-sql patch, release 5 to rebuild w/o libpq dep in base

Revision 1.136  2005/05/12 13:11:24  baggins
- release 4
- req pam 0.79.0

Revision 1.135  2005/04/28 18:32:58  pluto
- split-sql patch updated. build fixed.

Revision 1.134  2005/04/27 18:21:35  pluto
- release 2.4.

Revision 1.133  2005/04/27 16:23:25  pluto
- ugly workaround for binutils #880 bug.

Revision 1.132  2005/04/26 20:43:12  mmazur
- rel 2.3

Revision 1.131  2005/04/24 17:02:41  mmazur
- rel 2.2; builds with gcc4, but stripping mamfaults (at least on amd64)

Revision 1.130  2005/04/04 21:31:04  arekm
- enable gssapi; enable pgsql and sqlite; experimental mysql/pgsql/sqlite separation

Revision 1.129  2005/03/28 16:59:30  adgor
- Added db.patch

Revision 1.128  2005/02/23 13:52:57  havner
- BR:groff

Revision 1.127  2005/02/12 19:50:02  arekm
- rel ++

Revision 1.126  2004/10/28 12:42:31  paladine
- "PostgreSQL" unification

Revision 1.125  2004/10/28 12:22:22  paladine
- "MySQL" unification

Revision 1.124  2004/10/28 08:10:33  qboosh
- moved post-install message (annoying on upgrade) to description

Revision 1.123  2004/10/26 23:51:22  ankry
- install proper manpage for saslauthd

Revision 1.122  2004/10/26 21:18:19  qboosh
- updated to 2.1.20
- merged half of unchecked_env patch to configdir patch (which added a copy of
  insecure code), the rest is obsolete (already in sources)

Revision 1.121  2004/10/19 11:17:34  qboosh
- added unchecked_env patch (fixes CAN-2004-0884); release 2

Revision 1.120  2004/07/26 08:06:22  paszczus
- corrected bcond desc

Revision 1.119  2004/07/25 17:03:52  qboosh
- updated to 2.1.19, updated configdir patch

Revision 1.118  2004/04/13 14:51:19  adamg
- release 2 to rebuild with new openldap

Revision 1.117  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.116  2004/03/16 14:25:47  averne
- rel 1 for Ac

Revision 1.115  2004/03/11 21:29:24  qboosh
- removed obsolete do_dlopen, ldb4 patches

Revision 1.114  2004/03/11 16:59:11  wiget
- updated to 2.1.18

Revision 1.113  2004/02/22 20:33:39  qboosh
- fixed saslauthd Group, strict internal deps

Revision 1.112  2004/01/25 16:29:40  qboosh
- normalized path

Revision 1.111  2004/01/24 22:40:05  undefine
- small patch to allow build on amd64

Revision 1.110  2004/01/24 18:16:47  speedy
- release 0.3
- also build testsaslauthd and saslcache utility

Revision 1.109  2004/01/23 12:05:35  jajcus
- Release: 0.2 (after AMD64 fixes)

Revision 1.108  2003/12/20 15:25:39  arekm
- fix dirs on amd64

Revision 1.107  2003/12/04 10:27:29  jajcus
- PostgreSQL support. Disabled by default. When both mysql and pgsql are enabled
then both subpackages are exactly the same and supports both mysql and pgsql.
"--with pgsql --without mysql" and "--with-mysql --without-pgsql" work as expected.

Revision 1.106  2003/12/03 23:05:28  qboosh
- updated to 2.1.17
- updated configdir,do_dlopen patches, removed obsolete lt14d patch
- use heimdal if with gssapi (builds, but saslauthd depends on it too)

Revision 1.105  2003/12/01 22:34:26  mmazur
- rel 0.3 to rebuild with new db

Revision 1.104  2003/11/28 22:24:12  adgor
- Added ldb4.patch

Revision 1.103  2003/10/04 22:16:48  pius
- fixed/added missing bconds
- fixed gssapi lib name

Revision 1.102  2003/10/04 13:39:04  gotar
- fixed bcond

Revision 1.101  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.100  2003/08/11 20:44:53  ankry
cosmetics

Revision 1.99  2003/07/31 19:51:38  qboosh
- pl description for gssapi

Revision 1.98  2003/07/30 02:53:19  aredridel
- added gssapi support

Revision 1.97  2003/07/15 18:35:10  wiget
- updated to 2.1.14

Revision 1.96  2003/07/14 08:08:15  qboosh
- typo, R(post): ldconfig

Revision 1.95  2003/07/12 00:13:45  wolf
- xmms have reminder message, so sasl will also have it

Revision 1.94  2003/06/27 20:22:17  blues
- more macros - inpired by kloczek

Revision 1.93  2003/06/21 15:30:59  qboosh
- no static modules

Revision 1.92  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.91  2003/05/25 05:46:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.90  2003/04/19 21:42:33  djrzulf
- updated .init and .sysconfig

Revision 1.89  2003/04/15 09:16:41  wiget
- updated to 2.1.13

Revision 1.88  2003/02/15 12:37:52  qboosh
- fixed rfc list generation

Revision 1.87  2003/02/13 15:52:13  ankry
- remove rfc documents (they are in the rfc-{text,basic} packages)
- rel. 2

Revision 1.86  2003/02/12 12:19:30  trojan
- updated to 2.1.12

Revision 1.85  2003/02/07 18:47:42  migo
- random description fixes

Revision 1.84  2003/02/01 20:41:30  qboosh
- moved cyrus.pam to %%doc - now saslauthd uses /etc/pam.d/<service> instead
  of one /etc/pam.d/cyrus file; added note to this file
- simplified _without_mysql bcond (preamble doesn't need to be conditional)
- release 2

Revision 1.83  2003/02/01 01:24:35  orzech
- up to 2.1.11

Revision 1.82  2003/01/10 12:58:28  radek
- fixed building --without mysql

Revision 1.81  2003/01/10 10:03:15  jajcus
- do_dlopen.patch (always enable DO_DLOPEN in configure script. The conditional check was broken
  and no plugins were loaded)

Revision 1.80  2003/01/10 09:08:53  qboosh
- cleanup in ac/am, more specific Requires for saslauthd

Revision 1.79  2003/01/09 20:22:47  qboosh
- removed .orig files from configdir patch (over 100kB less)
- disabled gssapi explicitly, added nolibs patch to avoid unnecessary -lresolv
- added lt14d patch to allow build with libtool 1.4d and newer

Revision 1.78  2003/01/09 13:37:50  jajcus
- Version: 2.1.10
	- most old patches are removed, as they are not needed any more
	- new subpackages: otp, sasldb and mysql
	- library dir and soname changed to *sasl2* this change comes from
	original sources and is ment to allow coexistence with older sasl.

Revision 1.77  2003/01/04 22:23:11  radek
- updated Source0 URL

Revision 1.76  2002/11/25 19:57:12  baggins
- release 16
- added db4 patch
- br: db-devel

Revision 1.75  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.74  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.73  2002/07/16 10:05:33  qboosh
- updated ac25x patch to work with autoconf 2.53
- added missing man3 pages to -devel
- release 15

Revision 1.72  2002/06/26 05:44:08  kloczek
- release 14.

Revision 1.71  2002/06/24 21:25:46  qboosh
- longer pl descriptions based on new en ones

Revision 1.70  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.69  2002/06/21 14:43:32  blues
- next translations

Revision 1.68  2002/06/21 14:39:36  blues
- translation stollen from CNV

Revision 1.67  2002/06/08 23:48:38  blues
- new doc

Revision 1.66  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.65  2002/04/25 16:09:00  arturs
fixed a small typo

Revision 1.64  2002/04/03 11:39:56  kloczek
- merge translations from KSI.

Revision 1.63  2002/04/03 10:05:48  qboosh
- security fix in mysql-ldap patch (escape values passed to SQL query)
  (used only in conditional build - doesn't affect binary packages on our ftp)
- release 13 (to build .src.rpm with fixed patch)

Revision 1.62  2002/03/20 23:48:08  kloczek
- release 12.

Revision 1.61  2002/03/14 10:50:51  migo
- don't gzip html docs

Revision 1.60  2002/03/05 14:48:36  ankry
- added date to saslauthd man page; groff requires it
- release 11

Revision 1.59  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.58  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.57  2002/02/09 11:45:54  kloczek
- release 10.

Revision 1.56  2002/02/09 11:35:53  grzegorz
- changed attr for /etc/rc.d/init.d/saslauthd from 755 to 754

Revision 1.55  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.54  2002/01/08 15:07:39  qboosh
- saslauthd: s/postun/preun/ (init.d/saslauthd must exist to stop daemon); release 9

Revision 1.53  2001/12/03 22:37:43  grzegorz
- changing %%attr(640,root,mail) for /var/lib/sasl/sasl.db for proper
  work with postfix
- rel 8
- STBR

Revision 1.52  2001/11/10 19:08:50  speedy
some changes in License field [s/LIcense/License/ or s/Distributable/distributable]

Revision 1.51  2001/11/03 09:13:05  grzegorz
- reverting last change

Revision 1.50  2001/11/01 10:00:11  grzegorz
- chmoding 644 /var/lib/sasl/sasl.db in main rpm becouse postfix must
  have permision to read this file, is this safe?

Revision 1.49  2001/10/25 08:35:52  kloczek
- release 7.

Revision 1.48  2001/09/24 11:55:10  qboosh
- saslauthd Prereq: /sbin/chkconfig

Revision 1.47  2001/08/28 10:44:44  kloczek
- release 6.

Revision 1.46  2001/08/27 15:32:50  wiget
sasl.db marked as %%ghost file

Revision 1.45  2001/08/12 19:23:42  qboosh
- ac 2.5x fix, pl translations
- again: use /var/lib, not /var/state
- changed /var/lib/sasl/sasl.db perms to 600 (see system log)
- release 5

Revision 1.44  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.42  2001/07/16 21:21:28  kloczek
- release 4: remove using some %%{__*} macro.

Revision 1.41  2001/07/13 12:27:14  grzegorz
- added Source3 (/etc/pam.d/cyrus) to sasluthd for pam auth
- more %%{__} macros

Revision 1.40  2001/06/02 17:21:59  kloczek
- release 3.

Revision 1.39  2001/06/01 22:47:56  blues
- added missing docs (there were none of them...)

Revision 1.38  2001/05/22 09:06:16  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.37  2001/05/09 00:12:59  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.36  2001/05/02 21:32:01  kloczek
- cosmetics.

Revision 1.35  2001/05/02 12:05:51  wiget
- finished saslauthd subpackage
- release 1

Revision 1.34  2001/04/26 14:52:34  wiget
saslauthd builded by default, ipv6 support;TODO init script for saslauthd

Revision 1.33  2001/04/24 18:55:46  wiget
- version 1.5.27 (beta)
- release 0.1 (test release for betatesters only)
- removed outdated external patch
- added support to mysql and ldap direct authorization
- added saslauthd and pwcheck subpackages (not builded by default)

Revision 1.32  2001/03/11 17:44:28  kloczek
- release 18,
- spec adapterized,
- merged rawhide external patch.

Revision 1.31  2000/10/23 19:04:57  kloczek
- release 7,
- merge des patch from rawhide,
- use new rpm automation.

Revision 1.30  2000/10/02 15:58:24  wiget
Release: 2

Revision 1.29  2000/10/02 15:57:35  wiget
- added conditional builds (srp and x509 pluggins)
- BuildRequires db3-devel not gdbm-devel (db3 for all :-)

Revision 1.28  2000/07/21 18:46:21  kloczek
- updated to 1.5.24.

Revision 1.27  2000/07/18 18:04:45  kloczek
- updated to 1.5.23.

Revision 1.26  2000/07/12 09:24:44  wiget
config patch back

Revision 1.25  2000/07/11 19:55:19  wiget
1.5.22

Revision 1.24  2000/06/12 17:21:12  wiget
create %%{_sysconfdir}

Revision 1.23  2000/06/12 17:14:27  wiget
typo

Revision 1.22  2000/06/12 17:10:52  wiget
added %%{_sysconfdir} to main package

Revision 1.21  2000/06/12 17:09:00  wiget
config files go to /etc/sasl

Revision 1.20  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/30 04:03:17  kloczek
- release 2,
- fixed URL.

Revision 1.17  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.16  2000/05/11 01:09:03  kloczek
- updated to 1.5.21.

Revision 1.15  2000/05/01 23:22:16  kloczek
- fixed Group in subpackages,
- cosmetics.

Revision 1.14  2000/04/27 08:21:55  wiget
- sasl.db is now %%config not %ghost.

Revision 1.13  2000/04/27 08:18:27  wiget
/var/state -> /var/lib (more)

Revision 1.12  2000/04/27 08:08:36  wiget
/var/state -> /var/lib

Revision 1.11  2000/04/27 06:35:47  wiget
1.5.20

Revision 1.10  2000/04/25 18:54:42  wiget
- separete subpackage for every plugin
- added login plugin

Revision 1.9  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.7  2000/03/28 11:10:59  arturs
typo

Revision 1.6  2000/03/27 15:11:26  arturs
- added %description -l pl

Revision 1.5  2000/01/17 09:15:24  kloczek
- typo in %files (s/toot/root/).

Revision 1.4  2000/01/17 08:41:07  kloczek
- updated to 1.5.15.

Revision 1.3  1999/10/06 03:10:58  kloczek
- added BuildRequires rules.

Revision 1.2  1999/10/06 03:09:12  kloczek
- rewrited in PLD packagin style policy.

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug 13 1999 Tim Powers <timp@redhat.com>
- first build for Powertools
